Package org.h2gis.functions.io.kml

# Class AltitudeMode

java.lang.Object
org.h2gis.functions.io.kml.AltitudeMode

public final class AltitudeMode extends Object
Specifies how altitude components in the coordinates element are interpreted. Possible values are - clampToGround - (default) Indicates to ignore an altitude specification (for example, in the coordinates tag). - relativeToGround - Sets the altitude of the element relative to the actual ground elevation of a particular location. For example, if the ground elevation of a location is exactly at sea level and the altitude for a point is set to 9 meters, then the elevation for the icon of a point placemark elevation is 9 meters with this mode. However, if the same coordinate is set over a location where the ground elevation is 10 meters above sea level, then the elevation of the coordinate is 19 meters. A typical use of this mode is for placing telephone poles or a ski lift. - absolute - Sets the altitude of the coordinate relative to sea level, regardless of the actual elevation of the terrain beneath the element. For example, if you set the altitude of a coordinate to 10 meters with an absolute altitude mode, the icon of a point placemark will appear to be at ground level if the terrain beneath is also 10 meters above sea level. If the terrain is 3 meters above sea level, the placemark will appear elevated above the terrain by 7 meters. A typical use of this mode is for aircraft placement.

Author:
  Erwan Bocher

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GX_CLAMPTOSEAFLOOR`
`static final int`
`GX_RELATIVETOSEAFLOOR`
`static final int`
`KML_ABSOLUTE`
`static final int`
`KML_CLAMPTOGROUND`
`static final int`
`KML_RELATIVETOGROUND`
`static final int`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static void`
`append(int altitudeMode, StringBuilder sb)`
Generate a string value corresponding to the altitude mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KML_CLAMPTOGROUND

public static final int KML_CLAMPTOGROUND

See Also:
  - Constant Field Values

### KML_RELATIVETOGROUND

public static final int KML_RELATIVETOGROUND

See Also:
  - Constant Field Values

### KML_ABSOLUTE

public static final int KML_ABSOLUTE

See Also:
  - Constant Field Values

### GX_CLAMPTOSEAFLOOR

public static final int GX_CLAMPTOSEAFLOOR

See Also:
  - Constant Field Values

### GX_RELATIVETOSEAFLOOR

public static final int GX_RELATIVETOSEAFLOOR

See Also:
  - Constant Field Values

### NONE

public static final int NONE

See Also:
  - Constant Field Values

## Method Details

### append

public static void append(int altitudeMode, StringBuilder sb)
Generate a string value corresponding to the altitude mode.

Parameters:
  `altitudeMode` -
  `sb` -